Name:           ansible-review
Version:        0.13.0
Release:        2%{?dist}
Summary:        Reviews Ansible playbooks, roles and inventory and suggests improvements
License:        MIT
URL:            https://github.com/willthames/ansible-review
Source0:        https://files.pythonhosted.org/packages/source/a/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-nose
BuildRequires:  python-flake8
Requires:       ansible-lint >= 3.0
Requires:       python-yaml
Requires:       python-appdirs
Requires:       python2-unidiff
Requires:       python-flake8
# Runtime requirements also needed in the build to run tests:
BuildRequires:  ansible-lint >= 3.0
BuildRequires:  python-yaml
BuildRequires:  python-appdirs
BuildRequires:  python2-unidiff

%description
Tool to review Ansible playbooks, roles, and inventory and suggest improvements.

%prep
%setup -q
rm -r lib/ansible_review.egg-info
sed -e '1 { /^#!/d }' -i lib/ansiblereview/utils/yamlindent.py

%build
%py2_build

%install
%py2_install

%check
nosetests -v test/

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{python2_sitelib}/ansiblereview
%{python2_sitelib}/ansible_review*.egg-info

%changelog
* Tue Jan 10 2017 Timo Trinks <ttrinks@redhat.com> - 0.13.0-2
- RHBZ#1410896: depend on python-flake8

* Tue Dec 16 2016 Timo Trinks <ttrinks@redhat.com> - 0.13.0-1
- upstream release 0.13.0:
  https://github.com/willthames/ansible-review/blob/master/CHANGELOG.md#0130

* Tue Nov 08 2016 Timo Trinks <ttrinks@redhat.com> - 0.12.2-1
- upstream bug fix release 0.12.2:
  https://github.com/willthames/ansible-review/blob/master/CHANGELOG.md#0122

* Wed Aug 24 2016 Dan Callaghan <dcallagh@redhat.com> - 0.10.1-1
- upstream bug fix release 0.10.1:
  https://github.com/willthames/ansible-review/blob/master/CHANGELOG.md#0101

* Wed Aug 24 2016 Dan Callaghan <dcallagh@redhat.com> - 0.10.0-1
- upstream release 0.10.0:
  https://github.com/willthames/ansible-review/blob/master/CHANGELOG.md#0100

* Mon Aug 01 2016 Dan Callaghan <dcallagh@redhat.com> - 0.9.0-1
- upstream release 0.9.0
- use %%license properly

* Wed Jun 29 2016 Dan Callaghan <dcallagh@redhat.com> - 0.7.5-1
- updated to upstream release 0.7.5
- depend on ansible-lint >= 3.0, removed patch for 2.x compatibility

* Wed Jun 22 2016 Dan Callaghan <dcallagh@redhat.com> - 0.7.2-1
- initial version
